Subject: [AVT] AMR-RTP-Vers10 payload format: error in SDP examples ?

From: Faerber Tobias ICM MP PO8 RD MCH83 <[email-masked]>
Date: Fri, 26 Oct 2001 18:51:55 +0200

hi,
in chapter 6.5 you find in the fmtp list a parameter: maxframes

this is not defined in the lists of RTP parameter in 6.3 and 6.4
I guess in the expample maxptime must be used, am I right ?

best regards,
Tobi

----------------------------------------------------------------------------
-------
> Faerber Tobias		Siemens AG
ICM MP PO8 RD MCH83 	Information and Communication Mobile

> Tel:	+49 89 722 58578	Grillparzerstrasse 10 a
> mobile:  +49 175 5721351	81675 Munich, Germany
> Fax:	+49 89 722 59070	
mailto:[email-masked]
----------------------------------------------------------------------------
-------

> -----Ursprüngliche Nachricht-----
> Von:	Magnus Westerlund [SMTP:[email-masked]]
> Gesendet am:	Donnerstag, 20. September 2001 15:57
> An:	Faerber Tobias ICM MP PO8 RD MCH83
> Cc:	[email-masked]'; [email-masked]
> Betreff:	Re: [AVT] RTSP: is CSeq header part of general header ?
> 
> Hi,
> 
> You posted to the wrong group, this belongs to MMUSIC, including them in
> the
> answer.
> 
> But the answer to your questions are:
> Cseq is a general header, see table in begining of section 12. All of the
> definition is in section 12.17.
> The sender of the request is responsible for using unique identifier for
> all its
> request sent to this address.
> As it is a general header it goes in the general-header part.
> 
> Hope this solved it for you.
> 
> Magnus
> 
> Faerber Tobias ICM MP PO8 RD MCH83 wrote:
> 
> > Hi,
> > in RTSP (RFC2326) I cannot find, intp which header class the CSeq header
> > field can be found. neither in the general header description (ther you
> only
> > find a link to the HTTP, where CSeq isn't existing) nor in the request
> or
> > response header description it can be found. I only find the description
> in
> > 12.17 of RTSP protocol.
> > To which number has it to be initialised, is it done only by the client?
> is
> > there a special localisation in a request or response where it has to
> occur
> > ? because if you look at BNF a request for example is described with
> > request =request-line
> >         *(general-header
> >           | request-header
> >                 ....
> >
> > so according to this any header fiel can occur anywhere, so the same
> with
> > CSeq ? in all examples I only find it in the second line after the
> request
> > or response line
> >
> > can anybody help me out ?
> > Thanx in advance
> >
> > > Faerber Tobias                Siemens AG
> > ICM MP PO8 RD MCH83     Information and Communication Mobile
> >
> > _______________________________________________
> > Audio/Video Transport Working Group
> > [email-masked]
> > http://www1.ietf.org/mailman/listinfo/avt
> 
> --
> 
> Magnus Westerlund
> 
> Audio Technology, Ericsson Research
> ----------------------------------------------------------------------
> Ericsson Radio Systems AB  | Phone +46 8 4048287
> Torshamsgatan 23           | Fax   +46 8 7575550
> S-164 80 Stockholm, Sweden | mailto: [email-masked]
> 

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
http://www1.ietf.org/mailman/listinfo/avt

---

From: Magnus Westerlund <[email-masked]>
Date: Mon, 29 Oct 2001 09:41:59 +0100

Hi Tobias,

Yes, you are correct, the maxframes shall be replaced by a maxptime and
corresponding value changed. This will be fixed in next version of the draft
which will be published when AD comments has been received.

Cheers

Magnus

--

Magnus Westerlund